summaryrefslogtreecommitdiffstats
path: root/debian/timestamps
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-04 01:01:20 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-04 01:01:20 +0000
commitecfdf4caac019bf4b8b20d5bba31cc6f69321e1c (patch)
tree1ff21209de27b20482cd5124179d110fc0cf4e86 /debian/timestamps
parentMerging upstream version 13.2. (diff)
downloadbase-files-ecfdf4caac019bf4b8b20d5bba31cc6f69321e1c.tar.xz
base-files-ecfdf4caac019bf4b8b20d5bba31cc6f69321e1c.zip
Merging debian version 13.2.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rw-r--r--debian/timestamps21
1 files changed, 21 insertions, 0 deletions
diff --git a/debian/timestamps b/debian/timestamps
new file mode 100644
index 0000000..1c92569
--- /dev/null
+++ b/debian/timestamps
@@ -0,0 +1,21 @@
+#!/bin/sh
+set -e
+BUILD_DATE=$(dpkg-parsechangelog -S Date)
+touch -d "${BUILD_DATE}" etc/*
+touch -d "${BUILD_DATE}" motd/*
+touch -d "${BUILD_DATE}" origins/*
+touch -d "${BUILD_DATE}" share/*
+touch -d "1996-12-16 02:58:50 UTC" licenses/Artistic
+touch -d "1999-08-26 12:06:20 UTC" licenses/BSD
+touch -d "2004-12-19 20:30:25 UTC" licenses/Apache-2.0
+touch -d "2010-03-23 23:34:05 UTC" licenses/GPL-1
+touch -d "2010-03-23 23:34:05 UTC" licenses/GPL-2
+touch -d "2010-03-23 23:34:05 UTC" licenses/LGPL-2.1
+touch -d "2017-04-03 11:00:00 UTC" licenses/MPL-1.1
+touch -d "2017-04-03 20:00:00 UTC" licenses/MPL-2.0
+touch -d "2017-04-25 22:26:15 UTC" licenses/CC0-1.0
+touch -d "2017-09-30 07:14:21 UTC" licenses/GPL-3
+touch -d "2017-09-30 07:14:21 UTC" licenses/LGPL-3
+touch -d "2017-09-30 07:15:28 UTC" licenses/GFDL-1.2
+touch -d "2022-02-10 06:14:38 UTC" licenses/GFDL-1.3
+touch -d "2022-02-10 06:14:38 UTC" licenses/LGPL-2